Bundle-Locale-CLDR-Africa v0.44.1 Perl 5 v5.18.4 x86_64-linux-thread-multi

Status
Unknown
From
David Cantrell (DCANTRELL)
Dist
Bundle-Locale-CLDR-Africa v0.44.1
Platform
Perl 5 v5.18.4 x86_64-linux-thread-multi
Date
2024-03-02T00:08:31
ID
00c2f226-d829-11ee-be52-43a2fc937d5f
This distribution has been tested as part of the CPAN Testers
project, supporting the Perl programming language.  See
http://wiki.cpantesters.org/ for more information or email
questions to cpan-testers-discuss@perl.org


--
Dear John Imrie,

This is a computer-generated report for Bundle-Locale-CLDR-Africa-0.44.1
on perl 5.18.4, created by CPAN-Reporter-1.2018.

Thank you for uploading your work to CPAN.  However, attempting to
test your distribution gave an inconclusive result.

This could be because your distribution had an error during the make/build
stage, did not define tests, tests could not be found, because your tests were
interrupted before they finished, or because the results of the tests could not
be parsed.  You may wish to consult the CPAN Testers Wiki:

http://wiki.cpantesters.org/wiki/CPANAuthorNotes

Sections of this report:

    * Tester comments
    * Program output
    * Prerequisites
    * Environment and other context

------------------------------
TESTER COMMENTS
------------------------------

Additional comments from tester:

this report is from an automated smoke testing program
and was not reviewed by a human for accuracy

------------------------------
PROGRAM OUTPUT
------------------------------

Output from './Build test':

No tests defined.

------------------------------
PREREQUISITES
------------------------------

Prerequisite modules loaded:

requires:

    Module               Need    Have    
    -------------------- ------- --------
    DateTime             0.72    1.65    
    Moo                  2       2.005005
    MooX::ClassAttribute 0.011   0.011   
    perl                 v5.10.1 5.018004
    Type::Tiny           0       2.004000
    version              0.95    0.9930  

build_requires:

    Module               Need    Have    
    -------------------- ------- --------
    ok                   0       1.302198
    Test::Exception      0       0.43    
    Test::More           0.98    1.302198

configure_requires:

    Module               Need    Have    
    -------------------- ------- --------
    Module::Build        0.40    0.4234  


------------------------------
ENVIRONMENT AND OTHER CONTEXT
------------------------------

Environment variables:

    AUTOMATED_TESTING = 1
    LANG = en_GB.UTF-8
    LANGUAGE = en_GB:en
    LC_TERMINAL = iTerm2
    LC_TERMINAL_VERSION = 3.4.23
    NONINTERACTIVE_TESTING = 1
    PATH = /home/david/.nvm/versions/node/v20.11.0/bin:/home/david/.cargo/bin:/home/david/perl5/perlbrew/bin:/home/david/perl5/perlbrew/perls/perl-5.30.2/bin:/home/david/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games
    PERL = 5.18.4
    PERL5LIB = 
    PERL5OPT = 
    PERL5_CPANPLUS_IS_RUNNING = 852920
    PERL5_CPAN_IS_RUNNING = 852920
    PERLBREW_HOME = /home/david/.perlbrew
    PERLBREW_MANPATH = /home/david/perl5/perlbrew/perls/perl-5.30.2/man
    PERLBREW_PATH = /home/david/perl5/perlbrew/bin:/home/david/perl5/perlbrew/perls/perl-5.30.2/bin
    PERLBREW_PERL = perl-5.30.2
    PERLBREW_ROOT = /home/david/perl5/perlbrew
    PERLBREW_SHELLRC_VERSION = 0.98
    PERLBREW_VERSION = 0.98
    PERLVER = 5.18.4
    PERL_INLINE_DIRECTORY = /home/david/.Inline-5.18.4
    PERL_MM_USE_DEFAULT = 1
    PERL_USE_UNSAFE_INC = 0
    SHELL = /bin/bash
    TERM = screen

Perl special variables (and OS-specific diagnostics, for MSWin32):

    $^X = /home/david/cpantesting/perl-5.18.4/bin/perl
    $UID/$EUID = 1000 / 1000
    $GID = 1000 24 25 27 29 30 44 46 109 1000
    $EGID = 1000 24 25 27 29 30 44 46 109 1000

Perl module toolchain versions installed:

    Module              Have    
    ------------------- --------
    CPAN                2.00    
    CPAN::Meta          2.150010
    Cwd                 3.75    
    ExtUtils::CBuilder  0.280236
    ExtUtils::Command   7.70    
    ExtUtils::Install   2.22    
    ExtUtils::MakeMaker 7.70    
    ExtUtils::Manifest  1.75    
    ExtUtils::ParseXS   3.51    
    File::Spec          3.75    
    JSON                4.10    
    JSON::PP            4.16    
    Module::Build       0.4234  
    Module::Signature   n/a     
    Parse::CPAN::Meta   2.150010
    Test::Harness       3.48    
    Test::More          1.302198
    YAML                1.30    
    YAML::Syck          1.34    
    version             0.9930  


--

Summary of my perl5 (revision 5 version 18 subversion 4) configuration:
   
  Platform:
    osname=linux, osvers=5.10.0-11-amd64, archname=x86_64-linux-thread-multi
    uname='linux cpantesting-linux-utm 5.10.0-11-amd64 #1 smp debian 5.10.92-1 (2022-01-18) x86_64 gnulinux '
    config_args='-de -Dusethreads -Dprefix=/home/david/cpantesting/perl-5.18.4 -A ccflags=-fwrapv'
    hint=recommended, useposix=true, d_sigaction=define
    useithreads=define, usemultiplicity=define
    useperlio=define, d_sfio=undef, uselargefiles=define, usesocks=undef
    use64bitint=define, use64bitall=define, uselongdouble=undef
    usemymalloc=n, bincompat5005=undef
  Compiler:
    cc='cc', ccflags ='-D_REENTRANT -D_GNU_SOURCE -fwrapv -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64',
    optimize='-O2',
    cppflags='-D_REENTRANT -D_GNU_SOURCE -fwrapv -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include'
    ccversion='', gccversion='10.2.1 20210110', gccosandvers=''
    intsize=4, longsize=8, ptrsize=8, doublesize=8, byteorder=12345678
    d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=16
    ivtype='long', ivsize=8, nvtype='double', nvsize=8, Off_t='off_t', lseeksize=8
    alignbytes=8, prototype=define
  Linker and Libraries:
    ld='cc', ldflags =' -fstack-protector -L/usr/local/lib'
    libpth=/usr/local/lib /lib/x86_64-linux-gnu /lib/../lib /usr/lib/x86_64-linux-gnu /usr/lib/../lib /lib /usr/lib /lib64 /usr/lib64
    libs=-lnsl -ldl -lm -lcrypt -lutil -lpthread -lc
    perllibs=-lnsl -ldl -lm -lcrypt -lutil -lpthread -lc
    libc=libc-2.31.so, so=so, useshrplib=false, libperl=libperl.a
    gnulibc_version='2.31'
  Dynamic Linking:
    dlsrc=dl_dlopen.xs, dlext=so, d_dlsymun=undef, ccdlflags='-Wl,-E'
    cccdlflags='-fPIC', lddlflags='-shared -O2 -L/usr/local/lib -fstack-protector'


Characteristics of this binary (from libperl): 
  Compile-time options: HAS_TIMES MULTIPLICITY PERLIO_LAYERS
                        PERL_DONT_CREATE_GVSV
                        PERL_HASH_FUNC_ONE_AT_A_TIME_HARD
                        PERL_IMPLICIT_CONTEXT PERL_MALLOC_WRAP
                        PERL_PRESERVE_IVUV PERL_SAWAMPERSAND USE_64_BIT_ALL
                        USE_64_BIT_INT USE_ITHREADS USE_LARGE_FILES
                        USE_LOCALE USE_LOCALE_COLLATE USE_LOCALE_CTYPE
                        USE_LOCALE_NUMERIC USE_PERLIO USE_PERL_ATOF
                        USE_REENTRANT_API
  Locally applied patches:
	Devel::PatchPerl 2.08
  Built under linux
  Compiled at Feb  5 2022 21:05:21
  %ENV:
    PERL="5.18.4"
    PERL5LIB=""
    PERL5OPT=""
    PERL5_CPANPLUS_IS_RUNNING="852920"
    PERL5_CPAN_IS_RUNNING="852920"
    PERLBREW_HOME="/home/david/.perlbrew"
    PERLBREW_MANPATH="/home/david/perl5/perlbrew/perls/perl-5.30.2/man"
    PERLBREW_PATH="/home/david/perl5/perlbrew/bin:/home/david/perl5/perlbrew/perls/perl-5.30.2/bin"
    PERLBREW_PERL="perl-5.30.2"
    PERLBREW_ROOT="/home/david/perl5/perlbrew"
    PERLBREW_SHELLRC_VERSION="0.98"
    PERLBREW_VERSION="0.98"
    PERLVER="5.18.4"
    PERL_INLINE_DIRECTORY="/home/david/.Inline-5.18.4"
    PERL_MM_USE_DEFAULT="1"
    PERL_USE_UNSAFE_INC="0"
  @INC:
    /home/david/cpantesting/perl-5.18.4/lib/site_perl/5.18.4/x86_64-linux-thread-multi
    /home/david/cpantesting/perl-5.18.4/lib/site_perl/5.18.4
    /home/david/cpantesting/perl-5.18.4/lib/5.18.4/x86_64-linux-thread-multi
    /home/david/cpantesting/perl-5.18.4/lib/5.18.4
    .